org.jboss.resteasy.plugins.spring

## Class SpringBeanProcessorServletAware

- java.lang.Object
- - org.jboss.resteasy.plugins.spring.SpringBeanProcessor
  - - org.jboss.resteasy.plugins.spring.SpringBeanProcessorServletAware

- All Implemented Interfaces:
    EventListener, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.context.ApplicationListener<org.springframework.context.ApplicationEvent>, org.springframework.context.event.SmartApplicationListener, org.springframework.core.Ordered, org.springframework.web.context.ServletContextAware

      public class SpringBeanProcessorServletAware
      extends SpringBeanProcessor
      implements org.springframework.web.context.ServletContextAware

  Use this subclass of SpringBeanProcessor if you are manually applying the SpringBeanProcessor for Resteasy. This assumes that the Registry and ResteasyProviderFactory objects are registered as attributes in the ServletContext
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.spring.SpringBeanProcessor

      `SpringBeanProcessor.ResteasyBeanPostProcessor`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.spring.SpringBeanProcessor

      `dispatcher, providerFactory, providerNames, registry, resourceFactories, resourceFactoryNames`

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringBeanProcessorServletAware()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dispatcher` | `getDispatcher()`
    `ResteasyProviderFactory` | `getProviderFactory()`
    `Registry` | `getRegistry()`
    `void` | `setServletContext(javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.spring.SpringBeanProcessor

      `getOrder, getPropertyValue, onApplicationEvent, postProcessBeanFactory, processBean, setDispatcher, setOrder, setProviderFactory, setRegistry, supportsEventType, supportsSourceType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringBeanProcessorServletAware

          public SpringBeanProcessorServletAware()

  - ### Method Detail

    - #### setServletContext

          public void setServletContext(javax.servlet.ServletContext servletContext)

      Specified by:
        `setServletContext` in interface `org.springframework.web.context.ServletContextAware`

    - #### getRegistry

          public Registry getRegistry()

      Overrides:
        `getRegistry` in class `SpringBeanProcessor`

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

      Overrides:
        `getProviderFactory` in class `SpringBeanProcessor`

    - #### getDispatcher

          public Dispatcher getDispatcher()

      Overrides:
        `getDispatcher` in class `SpringBeanProcessor`

Copyright © 2014. All Rights Reserved.